exports.Initialization = function(){
  var obj = new Object();
  var Class = new x86UbuntuInstructionSet();
  obj["test1"] = function(ParameterArray){return Class.test1(ParameterArray)};
  obj["test2"] = function(ParameterArray){return Class.test2(ParameterArray)};
  obj["test3"] = function(ParameterArray){return Class.test3(ParameterArray)};
  obj["test4"] = function(ParameterArray){return Class.test4(ParameterArray)};
  return obj;
};


function x86UbuntuInstructionSet()
{
	this.test1 = function(ParameterArray){x86UbuntuInstructionSet.prototype._test1_(ParameterArray);};
	this.test2 = function(ParameterArray){x86UbuntuInstructionSet.prototype._test2_(ParameterArray);};
	this.test3 = function(ParameterArray){x86UbuntuInstructionSet.prototype._test3_(ParameterArray);};
	this.test4 = function(ParameterArray){x86UbuntuInstructionSet.prototype._test4_(ParameterArray);};
}
x86UbuntuInstructionSet.prototype._test1_ = function(ParameterArray)
{
	console.log('hello1');
	return ParameterArray;
};
x86UbuntuInstructionSet.prototype._test2_ = function(ParameterArray)
{
	console.log('hello2');
	return ParameterArray;
};
x86UbuntuInstructionSet.prototype._test3_ = function(ParameterArray)
{
	console.log('hello3');
	return ParameterArray;
};
x86UbuntuInstructionSet.prototype._test4_ = function(ParameterArray)
{
	console.log('hello4');
	return ParameterArray;
};